/* This can only style everytghing around the embedded iframe
   To style the embed inside the iframe we need to use one of these hooks:
	- embed_head
	- enqueue_embed_scripts
	source: https://developer.wordpress.org/news/2025/02/customize-wordpress-embeds-to-match-your-theme/#tweaking-the-styles
*/

/* This is the styling using the embed Block */
.wp-block-embed {
	.wp-block-embed__wrapper {
		border: 5px solid var(--wp--preset--color--corporate-blue);
		border-radius: 5px;
		overflow: hidden;
		box-sizing: border-box;
	}

	.wp-embedded-content {
		display: block;
		border: 0;
		border-radius: 0;
		background-color: var(--wp--preset--color--dirty-white);
	}
}

/* This is for the classic content with embeds */
.wp-embedded-content {
	border: 5px solid var(--wp--preset--color--corporate-blue);
	border-radius: 5px;
	width: 100%;
}

body.wp-embed-responsive .wp-embed {
	background-color: var(--wp--preset--color--dirty-white) !important;
}
